#!/bin/bash

CELL_TYPES=("lstm")
ATTENTIONS=("True" "False")
DROPOUTS=(0.0 0.25)
SIZES=(16 32)
PATIENCES=(5 10)
REGION="W025"

for cell in "${CELL_TYPES[@]}"; do
  for att in "${ATTENTIONS[@]}"; do
    for drop in "${DROPOUTS[@]}"; do
      for size in "${SIZES[@]}"; do
        for patience in "${PATIENCES[@]}"; do
          echo "Submitting job: $cell $att $drop $size $patience"
          sbatch -A bsc32 -q acc_bsces launch_training_rnn_multiconfig.sh $cell $att $drop $size $patience $REGION
          sleep 1  # Ensure unique timestamps
        done
      done
    done
  done
done
